

#appeler les libraries
library(dplyr)

#repertoire de travail
repertoire <- "C:/Users/User/Downloads/EXO"
setwd(repertoire)

#lire le fichier csv
dataraw <- read.csv("C:/Users/User/Downloads/EXO/CAZ_4_km_Landscape_activity.csv")

#garder seulement les donnees dans ERPD
#dataraw <- dataraw %>%
#  filter(erpaa==1)

###############################################
## calculer la deforestation entre 2006-2015
###############################################

t_student <- qt(0.95,nrow(dataraw)-1)
area_erpaa <- 500000
defor_matrix <- dataraw %>%
  filter(alu_2009_category=="F"&alu_2018_category!="F") %>%
  group_by(alu_2009_subdivision) %>%
  summarise(freq_abs = n(),
            freq_rel = freq_abs/nrow(dataraw),
            variance = freq_rel*(1-freq_rel)/nrow(dataraw),
            std_error = sqrt(variance),
            uncertainty = t_student*std_error/freq_rel,
            area = freq_rel*area_erpaa,
            ci = uncertainty*area
            )
write.csv(defor_matrix,".rel_defor_matrix.csv")


####################################################
# degradation entre 2006-2015
####################################################

#definition of degradation
primary1 <- c("FHI","FLI","FSCI","FDSec","FX","M")
degraded1 <- c("FHD","FLD","FLSCD","FSecD","MD","ME","B","R","PLM","PLMS","PLMSf","FSR","FSS","AF")

primary2 <- c("FHD","FLD","FLSCD","FSecD","MD")
degraded2 <- c("ME","B","R","PLM","PLMS","PLMSf","FSR","FSS","AF")

degrad_matrix <- dataraw %>%
  filter(
    (alu_2009_subdivision %in% primary1) & (alu_2018_subdivision %in% degraded1)|
      (alu_2009_subdivision %in% primary2) & (alu_2018_subdivision %in% degraded2)
  )%>%
  group_by(alu_2009_subdivision) %>%
  summarise(freq_abs = n(),
            freq_rel = freq_abs/nrow(dataraw),
            variance = freq_rel*(1-freq_rel)/nrow(dataraw),
            std_error = sqrt(variance),
            uncertainty = t_student*std_error/freq_rel,
            area = freq_rel*area_erpaa,
            ci = uncertainty*area
  )
write.csv(degrad_matrix,".rel_degrad_matrix.csv")

##########################################################
# regeneration/gain entre 2006-2015
##########################################################

regeneration_matrix <- dataraw %>%
  filter(alu_2009_category!="F"&alu_2018_category=="F") %>%
  group_by(alu_2018_subdivision) %>%
  summarise(freq_abs = n(),
            freq_rel = freq_abs/nrow(dataraw),
            variance = freq_rel*(1-freq_rel)/nrow(dataraw),
            std_error = sqrt(variance),
            uncertainty = t_student*std_error/freq_rel,
            area = freq_rel*area_erpaa,
            ci = uncertainty*area
  )
write.csv(regeneration_matrix,".rel_gain_matrix.csv")

#########################################################
# feux
#########################################################

fire_matrix <- dataraw %>%
  filter(human_impact_type_label_1_=="Feux") %>%
  group_by(alu_2009_subdivision) %>%
  summarise(freq_abs = n(),
            freq_rel = freq_abs/nrow(dataraw),
            variance = freq_rel*(1-freq_rel)/nrow(dataraw),
            std_error = sqrt(variance),
            uncertainty = t_student*std_error/freq_rel,
            area = freq_rel*area_erpaa,
            ci = uncertainty*area
  )
write.csv(fire_matrix,".rel_fire_matrix.csv")


#################################################
#writing the ERPA activity data to file
#################################################

write.csv(dataraw,".activity_data_2000_2018.csv")

################################################
#identify secondary forest and plantation
################################################

fsec <- c("FSR","FSS","PLM","PLMS","PLMSf")


secondary_forest <- dataraw %>%
  filter(alu_2018_subdivision %in% fsec)
  
#write to file
write.csv(secondary_forest,"C:/Users/User/Downloads/EXO/secondary_forest_2018.csv")

